# Rebind Build Bar

Regain control of your Build Bar! This mod allows to rebind any Build bar items as you desire.

![BarPreview](https://raw.githubusercontent.com/kremnev8/DSP-Mods/master/Mods/RebindBuildBar/rebind-showcase.gif)

Also you can see all bound items even if they are not unlocked and rebind them too. And last but not least you can bind items you haven't unlocked yet too.

<p align="center">
<img src="https://raw.githubusercontent.com/kremnev8/DSP-Mods/master/Mods/RebindBuildBar/locked-preview.png?raw=true"/>
<img src="https://raw.githubusercontent.com/kremnev8/DSP-Mods/master/Mods/RebindBuildBar/locked-rebind.png?raw=true"/>
</p>

To rebind either `Ctrl` click needed item or press `Ctrl+F1-10`. An item picker will popup and you will be able to rebind. <br/>
If you ever want to remove an item from build bar just `Middle mouse click` on that item.<br/>
To reset your settings to default you can press reset button on the bar. If you press it all items in `current` category will be reset to defaults. If you hold `Ctrl` when you press it, all items in `all` categories will be reset. All keybinds can be rebound. <br/>

All of your settings are stored in a config file located at `Dyson Sphere Program/BepInEx/config/RebindBuildBar/`.

## Feedback and Bug Report
More features and improvements might come in the future. Feel free to contact me via Discord (Kremnev8#3756) for any feedback, bug-reports or suggestions.

This mod should be compatible with [Galactic Scale 2](https://dsp.thunderstore.io/package/Galactic_Scale/GalacticScale/)<br/>
This mod should be compatible with [Nebula Multiplayer Mod](https://dsp.thunderstore.io/package/nebula/NebulaMultiplayerMod/)<br/>
I do need a conformation about that though.

## How can I support this mod
If you like what I do and would like to support me you can [donate](https://paypal.me/kremnev8). <br/>
If you want other means to support me, you can [message](#feedback-and-bug-report) me on discord about it.

## Installation
### With Mod Manager

Simply open the mod manager (if you don't have it install it [here](https://dsp.thunderstore.io/package/ebkr/r2modman/)), select **Rebind Build Bar by kremnev8**, then **Download**.

If prompted to download with dependencies, select `Yes`.

Then just click **Start modded**, and the game will run with the mod installed.

### Manually
Install BepInEx from [here](https://dsp.thunderstore.io/package/xiaoye97/BepInEx/)<br/>
Install CommonAPI and all of its dependencies from [here](https://dsp.thunderstore.io/package/CommonAPI/CommonAPI/)<br/>

Unzip all files into `Dyson Sphere Program/BepInEx/plugins/RebindBuildBar/`. (Create folder named `RebindBuildBar`)<br/>

## Changelog
### v1.0.0
- Initial Release